<bugID>1237257<Summary>Intermittent browser_toolbox_toggle.js | application crashed [@ DebugBreak + 0x2]</Summary><Description>https://treeherder.mozilla.org/logviewer.html#?job_id=6455748&amp;repo=fx-team


 03:22:08     INFO -  --DOMWINDOW == 24 (1D64A000) [pid = 4060] [serial = 20] [outer = 00000000] [url = about:newtab]

 03:22:08     INFO -  --DOMWINDOW == 23 (11EC4000) [pid = 4060] [serial = 28] [outer = 00000000] [url = data:application/vnd.mozilla.xul+xml;charset=utf-8,&lt;window%20id='win'/&gt;]

 03:22:08     INFO -  --DOMWINDOW == 22 (23E5BC00) [pid = 4060] [serial = 634] [outer = 00000000] [url = about:blank]

 03:22:53     INFO -  FATAL ERROR: AsyncShutdown timeout in ShutdownLeaks: Wait for cleanup to be finished before checking for leaks Conditions: [{"name":"DevTools: Wait until toolbox is destroyed","state":"(none)","filename":"resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/client/framework/toolbox.js","lineNumber":2003,"stack":["resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/client/framework/toolbox.js:Toolbox.prototype.destroy/leakCheckObserver:2003","chrome://mochikit/content/browser-test.js:Tester.prototype.nextTest&lt;/&lt;:687","chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/&lt;:735"]}] At least one completion condition failed to complete within a reasonable amount of time. Causing a crash to ensure that we do not leave the user with an unresponsive process draining resources.

 03:22:53     INFO -  [Parent 4060] ###!!! ABORT: file resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://devtools/client/framework/toolbox.js, line 2003

 03:22:55     INFO -  TEST-INFO | Main app process: exit 1

 03:22:55  WARNING -  TEST-UNEXPECTED-FAIL | ShutdownLeaks | process() called before end of test suite

 03:22:55     INFO -  324 INFO checking window state

 03:22:55     INFO -  325 INFO Console message: [JavaScript Error: "TelemetryStopwatch: requesting elapsed time for nonexisting stopwatch. Histogram: "FX_TAB_SWITCH_TOTAL_E10S_MS", key: "null"" {file: "resource://gre/modules/TelemetryStopwatch.jsm" line: 297}]

 03:22:55  WARNING -  TEST-UNEXPECTED-FAIL | devtools/client/framework/test/browser_toolbox_toggle.js | application terminated with exit code 1

 03:22:55     INFO -  runtests.py | Application ran for: 0:03:13.522000

 03:22:55     INFO -  zombiecheck | Reading PID log: c:\users\cltbld\appdata\local\temp\tmppbcl7upidlog

 03:22:55     INFO -  mozcrash Copy/paste: C:\slave\test\build\win32-minidump_stackwalk.exe c:\users\cltbld\appdata\local\temp\tmp1uzbrj.mozrunner\minidumps\01a724f0-1900-40ab-909c-998d6e082715.dmp C:\slave\test\build\symbols

 03:23:18     INFO -  mozcrash Saved minidump as C:\slave\test\build\blobber_upload_dir\01a724f0-1900-40ab-909c-998d6e082715.dmp

 03:23:18     INFO -  mozcrash Saved app info as C:\slave\test\build\blobber_upload_dir\01a724f0-1900-40ab-909c-998d6e082715.extra

 03:23:19  WARNING -  PROCESS-CRASH | devtools/client/framework/test/browser_toolbox_toggle.js | application crashed [@ DebugBreak + 0x2]

 03:23:19     INFO -  Crash dump filename: c:\users\cltbld\appdata\local\temp\tmp1uzbrj.mozrunner\minidumps\01a724f0-1900-40ab-909c-998d6e082715.dmp

 03:23:19     INFO -  Operating system: Windows NT

 03:23:19     INFO -                    6.1.7601 Service Pack 1

 03:23:19     INFO -  CPU: x86

 03:23:19     INFO -       GenuineIntel family 6 model 30 stepping 5

 03:23:19     INFO -       8 CPUs

 03:23:19     INFO -  Crash reason:  EXCEPTION_BREAKPOINT

 03:23:19     INFO -  Crash address: 0x7605381b

 03:23:19     INFO -  Process uptime: 194 seconds

 03:23:19     INFO -  Thread 0 (crashed)

 03:23:19     INFO -   0  KERNELBASE.dll!DebugBreak + 0x2

 03:23:19     INFO -      eip = 0x7605381b   esp = 0x002eafdc   ebp = 0x002eb40c   ebx = 0x00000000

 03:23:19     INFO -      esi = 0x00000000   edi = 0x69d642b5   eax = 0x00000000   ecx = 0x00000005

 03:23:19     INFO -      edx = 0x0000000e   efl = 0x00200246

 03:23:19     INFO -      Found by: given as instruction pointer in context

 03:23:19     INFO -   1  xul.dll!NS_DebugBreak [nsDebugImpl.cpp:762e4af55ba2 : 399 + 0x6]

 03:23:19     INFO -      eip = 0x6309a4bb   esp = 0x002eafe0   ebp = 0x002eb40c

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -   2  xul.dll!nsDebugImpl::Abort(char const *,int) [nsDebugImpl.cpp:762e4af55ba2 : 146 + 0x11]

 03:23:19     INFO -      eip = 0x63099bb1   esp = 0x002eb414   ebp = 0x002eb428

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -   3  xul.dll!NS_InvokeByIndex + 0x27

 03:23:19     INFO -      eip = 0x6311c8a7   esp = 0x002eb430   ebp = 0x002eb444

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -   4  xul.dll!CallMethodHelper::Invoke() [XPCWrappedNative.cpp:762e4af55ba2 : 2097 + 0xf]

 03:23:19     INFO -      eip = 0x63811e8b   esp = 0x002eb44c   ebp = 0x002eb470

 03:23:19     INFO -      Found by: previous frame's frame pointer

 03:23:19     INFO -   5  xul.dll!CallMethodHelper::Call() [XPCWrappedNative.cpp:762e4af55ba2 : 1414 + 0x7]

 03:23:19     INFO -      eip = 0x63804bee   esp = 0x002eb460   ebp = 0x002eb470

 03:23:19     INFO -      Found by: call frame info with scanning

 03:23:19     INFO -   6  xul.dll!XPCWrappedNative::CallMethod(XPCCallContext &amp;,XPCWrappedNative::CallMode) [XPCWrappedNative.cpp:762e4af55ba2 : 1381 + 0x12]

 03:23:19     INFO -      eip = 0x63804ccc   esp = 0x002eb478   ebp = 0x002eb548

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -   7  xul.dll!js::gc::TenuredCell::arenaHeader() [Heap.h:762e4af55ba2 : 1416 + 0x5]

 03:23:19     INFO -      eip = 0x65a7c130   esp = 0x002eb480   ebp = 0x002eb548

 03:23:19     INFO -      Found by: stack scanning

 03:23:19     INFO -   8  xul.dll!js::IdToFunctionName(JSContext *,JS::Handle&lt;jsid&gt;) [jsfun.cpp:762e4af55ba2 : 2276 + 0x9]

 03:23:19     INFO -      eip = 0x65a70009   esp = 0x002eb498   ebp = 0x002eb548

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -   9  xul.dll!XPC_WN_CallMethod(JSContext *,unsigned int,JS::Value *) [XPCWrappedNativeJSOps.cpp:762e4af55ba2 : 1115 + 0xe]

 03:23:19     INFO -      eip = 0x6381a7ed   esp = 0x002eb550   ebp = 0x002eb60c

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  10  xul.dll!js::CallJSNative(JSContext *,bool (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &amp;) [jscntxtinlines.h:762e4af55ba2 : 235 + 0xe]

 03:23:19     INFO -      eip = 0x65e4006a   esp = 0x002eb614   ebp = 0x002eb634

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  11  xul.dll!js::Invoke(JSContext *,JS::CallArgs const &amp;,js::MaybeConstruct) [Interpreter.cpp:762e4af55ba2 : 460 + 0xf]

 03:23:19     INFO -      eip = 0x65e5513a   esp = 0x002eb63c   ebp = 0x002eb684

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  12  xul.dll!Interpret [Interpreter.cpp:762e4af55ba2 : 2786 + 0xf]

 03:23:19     INFO -      eip = 0x65e4ddca   esp = 0x002eb68c   ebp = 0x002ec038

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  13  xul.dll!js::RunScript(JSContext *,js::RunState &amp;) [Interpreter.cpp:762e4af55ba2 : 407 + 0xd]

 03:23:19     INFO -      eip = 0x65e5aa97   esp = 0x002ec040   ebp = 0x002ec0e8

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  14  xul.dll!js::Invoke(JSContext *,JS::CallArgs const &amp;,js::MaybeConstruct) [Interpreter.cpp:762e4af55ba2 : 478 + 0xa]

 03:23:19     INFO -      eip = 0x65e55197   esp = 0x002ec0f0   ebp = 0x002ec134

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  15  xul.dll!js::CallOrConstructBoundFunction(JSContext *,unsigned int,JS::Value *) [jsfun.cpp:762e4af55ba2 : 1574 + 0x12]

 03:23:19     INFO -      eip = 0x65a66293   esp = 0x002ec13c   ebp = 0x002ec2f4

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  16  xul.dll!js::CallJSNative(JSContext *,bool (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &amp;) [jscntxtinlines.h:762e4af55ba2 : 235 + 0xe]

 03:23:19     INFO -      eip = 0x65e4006a   esp = 0x002ec2fc   ebp = 0x002ec31c

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  17  xul.dll!js::Invoke(JSContext *,JS::CallArgs const &amp;,js::MaybeConstruct) [Interpreter.cpp:762e4af55ba2 : 460 + 0xf]

 03:23:19     INFO -      eip = 0x65e5513a   esp = 0x002ec324   ebp = 0x002ec36c

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  18  xul.dll!js::fun_call(JSContext *,unsigned int,JS::Value *) [jsfun.cpp:762e4af55ba2 : 1192 + 0xe]

 03:23:19     INFO -      eip = 0x65a40933   esp = 0x002ec374   ebp = 0x002ec3ac

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  19  xul.dll!js::CallJSNative(JSContext *,bool (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &amp;) [jscntxtinlines.h:762e4af55ba2 : 235 + 0xe]

 03:23:19     INFO -      eip = 0x65e4006a   esp = 0x002ec3b4   ebp = 0x002ec3d4

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  20  xul.dll!js::Invoke(JSContext *,JS::CallArgs const &amp;,js::MaybeConstruct) [Interpreter.cpp:762e4af55ba2 : 460 + 0xf]

 03:23:19     INFO -      eip = 0x65e5513a   esp = 0x002ec3dc   ebp = 0x002ec424

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  21  xul.dll!js::Invoke(JSContext *,JS::Value const &amp;,JS::Value const &amp;,unsigned int,JS::Value const *,JS::MutableHandle&lt;JS::Value&gt;) [Interpreter.cpp:762e4af55ba2 : 512 + 0xf]

 03:23:19     INFO -      eip = 0x65e553bd   esp = 0x002ec42c   ebp = 0x002ec4e4

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  22  xul.dll!js::DirectProxyHandler::call(JSContext *,JS::Handle&lt;JSObject *&gt;,JS::CallArgs const &amp;) [DirectProxyHandler.cpp:762e4af55ba2 : 77 + 0x1f]

 03:23:19     INFO -      eip = 0x65c1aede   esp = 0x002ec4ec   ebp = 0x002ec524

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  23  xul.dll!js::CrossCompartmentWrapper::call(JSContext *,JS::Handle&lt;JSObject *&gt;,JS::CallArgs const &amp;) [CrossCompartmentWrapper.cpp:762e4af55ba2 : 289 + 0xd]

 03:23:19     INFO -      eip = 0x65c1ad54   esp = 0x002ec52c   ebp = 0x002ec554

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  24  xul.dll!js::Proxy::call(JSContext *,JS::Handle&lt;JSObject *&gt;,JS::CallArgs const &amp;) [Proxy.cpp:762e4af55ba2 : 391 + 0xe]

 03:23:19     INFO -      eip = 0x65c1b001   esp = 0x002ec55c   ebp = 0x002ec5b4

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  25  xul.dll!js::proxy_Call(JSContext *,unsigned int,JS::Value *) [Proxy.cpp:762e4af55ba2 : 683 + 0x12]

 03:23:19     INFO -      eip = 0x65c21938   esp = 0x002ec5bc   ebp = 0x002ec5ec

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  26  xul.dll!js::CallJSNative(JSContext *,bool (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &amp;) [jscntxtinlines.h:762e4af55ba2 : 235 + 0xe]

 03:23:19     INFO -      eip = 0x65e4006a   esp = 0x002ec5f4   ebp = 0x002ec614

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  27  xul.dll!js::Invoke(JSContext *,JS::CallArgs const &amp;,js::MaybeConstruct) [Interpreter.cpp:762e4af55ba2 : 448 + 0x8]

 03:23:19     INFO -      eip = 0x65e5507d   esp = 0x002ec61c   ebp = 0x002ec664

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  28  xul.dll!Interpret [Interpreter.cpp:762e4af55ba2 : 2786 + 0xf]

 03:23:19     INFO -      eip = 0x65e4ddca   esp = 0x002ec66c   ebp = 0x002ed018

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  29  xul.dll!js::RunScript(JSContext *,js::RunState &amp;) [Interpreter.cpp:762e4af55ba2 : 407 + 0xd]

 03:23:19     INFO -      eip = 0x65e5aa97   esp = 0x002ed020   ebp = 0x002ed0c8

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  30  xul.dll!js::Invoke(JSContext *,JS::CallArgs const &amp;,js::MaybeConstruct) [Interpreter.cpp:762e4af55ba2 : 478 + 0xa]

 03:23:19     INFO -      eip = 0x65e55197   esp = 0x002ed0d0   ebp = 0x002ed114

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  31  xul.dll!js::Invoke(JSContext *,JS::Value const &amp;,JS::Value const &amp;,unsigned int,JS::Value const *,JS::MutableHandle&lt;JS::Value&gt;) [Interpreter.cpp:762e4af55ba2 : 512 + 0xf]

 03:23:19     INFO -      eip = 0x65e553bd   esp = 0x002ed11c   ebp = 0x002ed1d4

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  32  xul.dll!js::jit::DoCallFallback [BaselineIC.cpp:762e4af55ba2 : 6184 + 0x1e]

 03:23:19     INFO -      eip = 0x660bfaad   esp = 0x002ed1dc   ebp = 0x002ed33c

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  33  0x59674e

 03:23:19     INFO -      eip = 0x0059674e   esp = 0x002ed344   ebp = 0x002ed398

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  34  0x11916838

 03:23:19     INFO -      eip = 0x11916838   esp = 0x002ed3a0   ebp = 0x002ed3ec

 03:23:19     INFO -      Found by: previous frame's frame pointer

 03:23:19     INFO -  35  0x590c4b

 03:23:19     INFO -      eip = 0x00590c4b   esp = 0x002ed3f4   ebp = 0x002ed418

 03:23:19     INFO -      Found by: previous frame's frame pointer

 03:23:19     INFO -  36  xul.dll!EnterBaseline [BaselineJIT.cpp:762e4af55ba2 : 134 + 0x1b]

 03:23:19     INFO -      eip = 0x660c3558   esp = 0x002ed420   ebp = 0x002ed5b8

 03:23:19     INFO -      Found by: previous frame's frame pointer

 03:23:19     INFO -  37  xul.dll!js::jit::EnterBaselineMethod(JSContext *,js::RunState &amp;) [BaselineJIT.cpp:762e4af55ba2 : 173 + 0xd]

 03:23:19     INFO -      eip = 0x660c3d70   esp = 0x002ed5c0   ebp = 0x002ed69c

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  38  xul.dll!js::RunScript(JSContext *,js::RunState &amp;) [Interpreter.cpp:762e4af55ba2 : 397 + 0xd]

 03:23:19     INFO -      eip = 0x65e5aa08   esp = 0x002ed6a4   ebp = 0x002ed74c

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  39  xul.dll!js::Invoke(JSContext *,JS::CallArgs const &amp;,js::MaybeConstruct) [Interpreter.cpp:762e4af55ba2 : 478 + 0xa]

 03:23:19     INFO -      eip = 0x65e55197   esp = 0x002ed754   ebp = 0x002ed798

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  40  xul.dll!js::CallOrConstructBoundFunction(JSContext *,unsigned int,JS::Value *) [jsfun.cpp:762e4af55ba2 : 1574 + 0x12]

 03:23:19     INFO -      eip = 0x65a66293   esp = 0x002ed7a0   ebp = 0x002ed958

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  41  xul.dll!js::CallJSNative(JSContext *,bool (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &amp;) [jscntxtinlines.h:762e4af55ba2 : 235 + 0xe]

 03:23:19     INFO -      eip = 0x65e4006a   esp = 0x002ed960   ebp = 0x002ed980

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  42  xul.dll!js::Invoke(JSContext *,JS::CallArgs const &amp;,js::MaybeConstruct) [Interpreter.cpp:762e4af55ba2 : 460 + 0xf]

 03:23:19     INFO -      eip = 0x65e5513a   esp = 0x002ed988   ebp = 0x002ed9d0

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  43  xul.dll!js::CallOrConstructBoundFunction(JSContext *,unsigned int,JS::Value *) [jsfun.cpp:762e4af55ba2 : 1574 + 0x12]

 03:23:19     INFO -      eip = 0x65a66293   esp = 0x002ed9d8   ebp = 0x002edb90

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  44  xul.dll!js::CallJSNative(JSContext *,bool (*)(JSContext *,unsigned int,JS::Value *),JS::CallArgs const &amp;) [jscntxtinlines.h:762e4af55ba2 : 235 + 0xe]

 03:23:19     INFO -      eip = 0x65e4006a   esp = 0x002edb98   ebp = 0x002edbb8

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  45  xul.dll!js::Invoke(JSContext *,JS::CallArgs const &amp;,js::MaybeConstruct) [Interpreter.cpp:762e4af55ba2 : 460 + 0xf]

 03:23:19     INFO -      eip = 0x65e5513a   esp = 0x002edbc0   ebp = 0x002edc08

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  46  xul.dll!js::Invoke(JSContext *,JS::Value const &amp;,JS::Value const &amp;,unsigned int,JS::Value const *,JS::MutableHandle&lt;JS::Value&gt;) [Interpreter.cpp:762e4af55ba2 : 512 + 0xf]

 03:23:19     INFO -      eip = 0x65e553bd   esp = 0x002edc10   ebp = 0x002edcc8

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  47  xul.dll!JS_CallFunctionValue(JSContext *,JS::Handle&lt;JSObject *&gt;,JS::Handle&lt;JS::Value&gt;,JS::HandleValueArray const &amp;,JS::MutableHandle&lt;JS::Value&gt;) [jsapi.cpp:762e4af55ba2 : 2812 + 0x36]

 03:23:19     INFO -      eip = 0x65b41926   esp = 0x002edcd0   ebp = 0x002edd08

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  48  xul.dll!nsXPCComponents_Utils::CallFunctionWithAsyncStack(JS::Handle&lt;JS::Value&gt;,nsIStackFrame *,nsAString_internal const &amp;,JSContext *,JS::MutableHandle&lt;JS::Value&gt;) [XPCComponents.cpp:762e4af55ba2 : 2704 + 0x21]

 03:23:19     INFO -      eip = 0x637c649d   esp = 0x002edd10   ebp = 0x002edd80

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  49  xul.dll!NS_InvokeByIndex + 0x27

 03:23:19     INFO -      eip = 0x6311c8a7   esp = 0x002edd88   ebp = 0x002eddb4

 03:23:19     INFO -      Found by: call frame info

 03:23:19     INFO -  50  xul.dll!CallMethodHelper::Invoke() [XPCWrappedNative.cpp:762e4af55ba2 : 2097 + 0xf]

 03:23:19     INFO -      eip = 0x63811e8b   esp = 0x002eddbc   ebp = 0x002edde0

 03:23:19     INFO -      Found by: previous frame's frame pointer

 03:23:19     INFO -  51  xul.dll!CallMethodHelper::Call() [XPCWrappedNative.cpp:762e4af55ba2 : 1414 + 0x7]</Description></bugID>